Machine power control

View as Markdown

Execute power control actions for a specific Machine.

Org must have an Infrastructure Provider entity and own the Site that the Machine belongs to. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the Machine

Request

This endpoint expects an object.
actionenumRequired
Power control action to apply.
acknowledgeAttachedInstancebooleanOptional
Acknowledges that an Instance is currently attached to the Machine and this action may disrupt Tenant workload on the Instance.

Response

Machine power control request was accepted
messagestring

Human-readable outcome of the request

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error